Ginkgo: gko::experimental::mpi::request Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::experimental::mpi::request Class Reference

The request class is a light, move-only wrapper around the MPI_Request handle. More...

`#include <ginkgo/core/base/mpi.hpp>`

## Public Member Functions
| request ()
| The default constructor.
| request (const request &)=delete
request & | operator= (const request &)=delete
| request (request &&o) noexcept
request & | operator= (request &&o) noexcept
MPI_Request * | get ()
| Get a pointer to the underlying MPI_Request handle.
status | wait ()
| Allows a rank to wait on a particular request handle.

## Detailed Description

The request class is a light, move-only wrapper around the MPI_Request handle.

## Constructor & Destructor Documentation

## ◆ request()

gko::experimental::mpi::request::request | ( |  | ) |
| inline

The default constructor.

It creates a null MPI_Request of MPI_REQUEST_NULL type.

## Member Function Documentation

## ◆ get()

MPI_Request * gko::experimental::mpi::request::get | ( |  | ) |
| inline

Get a pointer to the underlying MPI_Request handle.

Returns
  a pointer to MPI_Request handle

Referenced by gko::experimental::mpi::communicator::i_all_gather(), gko::experimental::mpi::communicator::i_all_reduce(), gko::experimental::mpi::communicator::i_all_reduce(), gko::experimental::mpi::communicator::i_all_to_all(), gko::experimental::mpi::communicator::i_all_to_all(), gko::experimental::mpi::communicator::i_all_to_all_v(), gko::experimental::mpi::communicator::i_broadcast(), gko::experimental::mpi::communicator::i_gather(), gko::experimental::mpi::communicator::i_gather_v(), gko::experimental::mpi::communicator::i_recv(), gko::experimental::mpi::communicator::i_reduce(), gko::experimental::mpi::communicator::i_scan(), gko::experimental::mpi::communicator::i_scatter(), gko::experimental::mpi::communicator::i_scatter_v(), gko::experimental::mpi::communicator::i_send(), gko::experimental::mpi::window< ValueType >::r_accumulate(), gko::experimental::mpi::window< ValueType >::r_get(), gko::experimental::mpi::window< ValueType >::r_get_accumulate(), and gko::experimental::mpi::window< ValueType >::r_put().

## ◆ wait()

status gko::experimental::mpi::request::wait | ( |  | ) |
| inline

Allows a rank to wait on a particular request handle.

Parameters

  req | The request to wait on.
  status | The status variable that can be queried.

References gko::experimental::mpi::status::get().

The documentation for this class was generated from the following file:

- ginkgo/core/base/mpi.hpp